ionice(1)

NAME
ionice - get/set program io scheduling class and priority

SYNOPSIS
ionice [-c] [-n] [-p] [COMMAND [ARG...]]

DESCRIPTION
This program sets the io scheduling class and priority for a program. As of this writing, Linux supports 3 scheduling classes: Idle. A program running with idle io priority will only get disk time when no other program has asked for disk io for a defined grace period. The impact of idle io processes on normal system activity should be zero. This scheduling class does not take a priority argument. Best effort. This is the default scheduling class for any process that hasn't asked for a specific io priority. Programs inherit the CPU nice setting for io priorities. This class takes a priority argument from 0-7, with lower number being higher priority. Programs running at the same best effort priority are served in a round-robin fashion. Real time. The RT scheduling class is given first access to the disk, regardless of what else is going on in the system. Thus the RT class needs to be used with some care, as it can starve other processes. As with the best effort class, 8 priority levels are defined denoting how big a time slice a given process will receive on each scheduling window. If no arguments or just -p is given, ionice will query the current io scheduling class and priority for that process.

OPTIONS

-c  The scheduling class. 1 for real time, 2 for best-effort, 3 for idle.

-n  The scheduling class data. This defines the class data, if the class accepts an argument. For real time and best-effort, 0-7 is valid data.

-p  Pass in a process pid to change an already running process. If this argument is not given, ionice will run the listed program with the given parameters.

EXAMPLES

# ionice -c3 -p89

Sets process with PID 89 as an idle io process.

# ionice -c2 -n0 bash

Runs 'bash' as a best-effort program with highest priority.

# ionice -p89

Returns the class and priority of the process with PID 89.

NOTES
Linux supports io scheduling priorities and classes since 2.6.13 with the CFQ io scheduler.

AUTHORS
Jens Axboe <axboe@suse.de>